# FileCreateMode

Sets access permissions for the Unix-domain socket.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  FileCreateMode

Scope:

  input

Type:

  octalNumber

Default:

  input=0644

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

Set the access permissions for the domain socket. The value given must always be a 4-digit octal number, with the initial digit being zero. Please note that the actual permission depend on rsyslogd’s process umask. If in doubt, use “`$umask 0000`” right at the beginning of the configuration file to remove any restrictions.

## Input usage

    input(type="imptcp" fileCreateMode="...")

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.